/**
Se consideră un text de maximum 255 de caractere.
Realizaţi un program care inversează literele fiecărui cuvânt.
 Se consideră cuvânt orice secvență formată din litere mari și mici.
Exemplu:
Pentru şirul de caractere
'Am venit!...spune el' se afişează:
'mA tinev!...enups le'

 Cum se vede din exemplu, particularitatea la problema asta este că
trebuie păstrate toate caracterele care NU sunt litere așa cum erau deja.

  Prin urmare NU putem folosi strtok și în cazul acesta ne străduim să
facem separarea cuvintelor manual.
  Anume, parcurgem stringul și menținem în două variabile st și dr
indicii:
 - st - al primei litere cu care începe ultimul cuvânt identificat
 - dr - al ultimei litere cu care începe ultimul cuvânt identificat

 Dat fiind că este posibil ca ultimul carcater să fie literă, iar ultimul
cuvânt să trebuiască să fie identificat ulterior, facem parcurgerea inclusiv
până la indicele strlen(s), unde avem un 0, care e numa' bine plasat
pentru că, nefiind literă, va încheia un cuvânt.
*/
#include <iostream>
#include <cstring>
using namespace std;

int main()
{
    char s[256];
    int i,st=-1,dr,n;
    cin.getline(s,256);
    n=strlen(s);
    for(i=0;i<=n;i++)
        if(isalpha(s[i]))
        {
            if(st==-1)st=i;
            dr=i;
        }
        else
        {///înseamnă că fie s-a terminat un cuvânt fie
            ///suntem pe o secvență de separatori
            if(st!=-1)
            {
                ///cout<<st<<" "<<dr<<"\n"; - la momentul ăsta st-dr repr. un
                ///cuvânt - pe care-l oglindim
                while(st<dr)
                    swap(s[st++],s[dr--]);
            }
            st=-1;///îl facem -1 în vederea identificării următorului cuvânt
        }
    cout<<s;
    return 0;
}
